Method (Solr 3.6.2 API)
Keywords: org.apache.solr.servlet.cache.Method class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.solr.servlet.cache
Enum Method

    java.lang.Object
      java.lang.Enum<Method>
          org.apache.solr.servlet.cache.Method

All Implemented Interfaces:
  Serializable, Comparable<Method>

    public enum Method

extends Enum<Method>

Enum Constant Summary
`GET`
`HEAD`
`OTHER`
`POST`

Method Summary
`static Method` | `getMethod(String method)`
`static Method` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Method[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### GET

    public static final Method GET

### POST

    public static final Method POST

### HEAD

    public static final Method HEAD

### OTHER

    public static final Method OTHER

Method Detail

### values

    public static final Method[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Method c : Method.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Method valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### getMethod

    public static Method getMethod(String method)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD